Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCDEStyle Class Reference

The QCDEStyle class provides a CDE look and feel. More...

`#include <qcdestyle.h>`

Inherits QMotifStyle.

List of all member functions.

## Public Members

- QCDEStyle ( bool useHighlightCols = FALSE )
- virtual ~QCDEStyle ()

## Detailed Description

The QCDEStyle class provides a CDE look and feel.

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that the functions provided by QCDEStyle are reimplementations of QStyle functions; see QStyle for their documentation.

See also Widget Appearance and Style.

## Member Function Documentation

### QCDEStyle::QCDEStyle ( bool useHighlightCols = FALSE )

Constructs a QCDEStyle.

If useHighlightCols is FALSE (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QCDEStyle::~QCDEStyle ()`[virtual]`

Destroys the style.

This file is part of the Qt toolkit. Copyright © 1995-2004 Trolltech. All Rights Reserved.